

QT       += core gui opengl

#CONFIG   += console

#reaterThan(QT_MAJOR_VERSION, 4):
QT += widgets

TARGET = detri2qt
TEMPLATE = app

# muParser
INCLUDEPATH += ./3rdparty/muParser/include

# Need this line on Windows systems
# LIBS += -lOpengl32

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# needed by flips.cpp
DEFINES += WITH_QT_LIB

# needed for compiling muParser on Windows
DEFINES -= _UNICODE UNICODE

# Using GMP
DEFINES += USING_GMP
INCLUDEPATH += /usr/local/include
LIBS += -L/usr/local/lib -lgmp -lgmpxx

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
        main.cpp \
        mainwindow.cpp \
    detri2qt.cpp \
    scribblearea.cpp \
    detri2/constrained.cpp \
    detri2/delaunay.cpp \
    detri2/detri2.cpp \
    detri2/flips.cpp \
    detri2/io.cpp \
    detri2/pred3d.cpp \
    detri2/refine.cpp \
    detri2/sort.cpp \
    detri2/voronoi.cpp \
    #HDE/hde.cpp \
    #HDE/metric.cpp \
    #HDE/test_functions.cpp \
    widgets/hdeoptionpanel.cpp \
    widgets/imageview.cpp \
    widgets/meshoptionpanel.cpp \
    widgets/segmentpanel.cpp \
    widgets/subdomainpanel.cpp \
    widgets/vertexpanel.cpp \
    3rdparty/rbox.cpp \
    widgets/newfilepanel.cpp \
    widgets/sortoptionpanel.cpp \
    widgets/preferdialog.cpp \
    3rdparty/muParser/src/muParser.cpp \
    3rdparty/muParser/src/muParserBase.cpp \
    3rdparty/muParser/src/muParserBytecode.cpp \
    3rdparty/muParser/src/muParserCallback.cpp \
    3rdparty/muParser/src/muParserDLL.cpp \
    3rdparty/muParser/src/muParserError.cpp \
    3rdparty/muParser/src/muParserInt.cpp \
    3rdparty/muParser/src/muParserTest.cpp \
    3rdparty/muParser/src/muParserTokenReader.cpp \
    widgets/muParserdialog.cpp \
    widgets/querydialog.cpp \
    detri2/metric.cpp \
    detri2/adapt.cpp \
    view3d.cpp \
    plot3d.cpp \
    widgets/metricpanel.cpp

HEADERS += \
        mainwindow.h \
    detri2qt.h \
    scribblearea.h \
    detri2/detri2.h \
    #HDE/hde.h \
    #HDE/metric.h \
    #HDE/R2.h \
    widgets/hdeoptionpanel.h \
    widgets/imageview.h \
    widgets/meshoptionpanel.h \
    widgets/segmentpanel.h \
    widgets/subdomainpanel.h \
    widgets/vertexpanel.h \
    3rdparty/rbox.h \
    #HDE/test_functions.h \
    widgets/newfilepanel.h \
    widgets/sortoptionpanel.h \
    widgets/preferdialog.h \
    3rdparty/muParser/include/muParser.h \
    3rdparty/muParser/include/muParserBase.h \
    3rdparty/muParser/include/muParserBytecode.h \
    3rdparty/muParser/include/muParserCallback.h \
    3rdparty/muParser/include/muParserDef.h \
    3rdparty/muParser/include/muParserDLL.h \
    3rdparty/muParser/include/muParserError.h \
    3rdparty/muParser/include/muParserFixes.h \
    3rdparty/muParser/include/muParserInt.h \
    3rdparty/muParser/include/muParserStack.h \
    3rdparty/muParser/include/muParserTemplateMagic.h \
    3rdparty/muParser/include/muParserTest.h \
    3rdparty/muParser/include/muParserToken.h \
    3rdparty/muParser/include/muParserTokenReader.h \
    widgets/muParserdialog.h \
    widgets/querydialog.h \
    view3d.h \
    3rdparty/colourmanager.h \
    widgets/metricpanel.h

RESOURCES += \
    icons.qrc
