#ifndef MuParserDIALOG_H
#define MuParserDIALOG_H

#include <QDialog>
#include <QLabel>
#include <QLineEdit>

#include "muParser.h"

class MuParserDialog : public QDialog
{
    Q_OBJECT

public:
    MuParserDialog(void *scribblearea, QWidget *parent = 0);
    void *_scribblearea;

private slots:
    void setText();
    void setScale();
    void eval();

public:
    QLabel *textLabel;  // input formula
    //QLabel *scaleLabel; // scale
    QLabel *text2Label; // evaluation    
    QLineEdit *_x;
    QLineEdit *_y;

    mu::Parser mup;
    double x, y;

//public slots:
//    void on_apply();
};

#endif // #ifndef MuParserDIALOG_H
