#ifndef VERTEXPANEL_H
#define VERTEXPANEL_H

#include <QObject>
#include <QWidget>

#include <QLabel>
#include <QLineEdit>
#include <QPushButton>

class vertexPanel : public QWidget
{
    Q_OBJECT
public:
    vertexPanel(void *scribblearea, QWidget *parent = nullptr);

    void *_scribblearea;

    QLabel *_idx;
    QLabel *_typ;
    QLineEdit *_x;
    QLineEdit *_y;
    QLineEdit *_w;
    QLineEdit *_val; // mesh size

    QPushButton *_applybtn;
    QPushButton *_closebtn;

public slots:
    void on_apply();
    void on_close();

    void val_changed();
};

#endif // VERTEXPANEL_H
