#ifndef ADAPTOPTIONDIALOG_H
#define ADAPTOPTIONDIALOG_H

#include <QDialog>

#include <QCheckBox>
#include <QLineEdit>
#include <QComboBox>
#include <QPushButton>
#include <QRadioButton>

class FuncInterpolationDialog : public QDialog
{
    Q_OBJECT

public:
    FuncInterpolationDialog(void *scribblearea, QWidget *parent = 0);

    void *_scribblearea;

    QLineEdit *func;
    QLineEdit *func_x;
    QLineEdit *func_y;
    QComboBox *func_template;

    //QRadioButton *length_measure;
    //QRadioButton *L2err_measure;

    QLineEdit *hde_s1;
    QLineEdit *hde_s2;

    QPushButton *btnOptions;
    QPushButton *btnView3d;
    QPushButton *btnTest;
    QPushButton *btnGenerate;

public slots:
    void setFunction( int idx );
    void view3d();
    void evaluate_function();
    void generate();
};

#endif // ADAPTOPTIONDIALOG_H
